unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure EscondeBotao(Visivel : Boolean);
var
  BarraTarefas, Botao : HWnd;
  Classe : String;
begin 
  BarraTarefas := FindWindow('Shell_TrayWnd', Nil); 
  Botao := GetWindow(BarraTarefas, GW_CHILD); 
  SetLength(Classe,127);
  while Botao <> 0 do begin 
    if GetClassName(Botao, PChar(Classe), Length(Classe)) 
       > 0 then begin
      SetLength(Classe,StrLen(PChar(Classe)));
      if UpperCase(Classe) = 'BUTTON' then begin 
        if Visivel then 
          ShowWindow(Botao, 1) 
         else 
          ShowWindow(Botao, 0); 
      end; 
    end;
    Botao := GetWindow(Botao, GW_HWNDNEXT); 
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  EscondeBotao(False);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  EscondeBotao(True);
end;

end.
